Summary: An Eudora and NUPOP change password server.
Name: poppassd
Version: 1.8.2
Release: 1
URL: http://www.ceti.com.pl/~kravietz/prog.htm
Vendor: Pawel Krawczyk <kravietz@ceti.com.pl>
Packager: Karl O. Pinc <kop@meme.com>
Source0: http://echelon.pl/pubs/poppassd-1.8.2.tar.gz
Source1: poppassd.xinetd
Source2: poppassd.pam
Patch0: poppassd-1.8.2-rpm.patch
Patch1: poppassd-1.8.2-pamservice.patch
Copyright: No statement of copyright, distributed freely by author(s)
Requires: pam xinetd setup tcp_wrappers sysklogd
Group: System Environment/Daemon
BuildRoot: /tmp/poppassd-buildroot

%description
Deamon that allows users to change their password via Eudora or NUPOP
using a network protocol on port 106.  This package uses PAM.

Original version based on John Norstad's poppassd code.  John
Norstad's program ran the regular unix "passwd" command.  This version
calls PAM to change the password.

Examine the (un)install scripts with "rpm --scripts <package>" before
(de)installation.  They modify some system configuration files.

%changelog
* Mon Jan 13 2003 Giulio E. D. Botto <madecto@comedia.it>
- Updated to 1.8.2

* Mon Aug 23 1999 Karl O. Pinc <kop@meme.com>
- Initial rpm.
- Made patch to have poppassd use it's own pam service, instead of
  the passwd pam service.
- Notice bugs in the postun script.
- See also ftp://ftp.nwu.edu/pub/poppassd for Norstad's original code.

%prep
%setup -n poppassd-1.8.2
%patch0 -p1
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/etc/xinetd.d
make INSTALL_PREFIX=$RPM_BUILD_ROOT install
install -g root -o root -m 0644 $RPM_SOURCE_DIR/poppassd.pam $RPM_BUILD_ROOT/etc/pam.d/poppassd
install -g root -o root -m 0644 $RPM_SOURCE_DIR/poppassd.xinetd $RPM_BUILD_ROOT/etc/xinetd.d/poppassd

%clean
rm -rf $RPM_BUILD_ROOT

# Macros for (un)install scripts.
%define services_line poppassd       106/tcp
%define syslog_conf_line local4.err      /var/log/poppassd

# Install a poppassd service in /etc/services
echo -ne '\n%{services_line}\n' >> /etc/services

# Install configuration line in /etc/syslog.conf to log poppassd on local4.
echo -ne '\n%{syslog_conf_line}\n' >> /etc/syslog.conf

# Let deamons know that we've changed it's configuration.
kill -SIGHUP $(cat /var/run/xinetd.pid)
kill -SIGHUP $(cat /var/run/syslogd.pid)

%postun
# This script has two bugs in it, it dosen't lock the files that it
# modifies!
# It also leaves a blank line in the files that weren't there before
# the package was installed.

deline() {
file="$1"
line="$2"

tmpfile="/tmp/${file}.$$"
# Copy the file just so we can preserve all ownership and permissions.
cp -a /etc/${file} $tmpfile
grep -v "${line}" /etc/${file} > $tmpfile
mv $tmpfile /etc/${file}
}

# Remove the poppassd line we added to /etc/inetd.conf
deline inetd.conf "%{inetd_conf_line}"

# Remove the poppassd line we added to /etc/services.
deline services "%{services_line}"

# Remove the logging configuration line.
deline syslog.conf "%{syslog_conf_line}"

# Let inetd know that we've changed it's configuration.
kill -SIGHUP $(cat /var/run/xinetd.pid)
kill -SIGHUP $(cat /var/run/syslogd.pid)

%files

%defattr(-,root,root)
%doc README
%attr(0500,root,root) /usr/sbin/poppassd
%config /etc/pam.d/poppassd
%config /etc/xinetd.d/poppassd
